bump several CI deps, including Go to 1.26.2

This commit is contained in:
Ryan Richard
2026-04-20 10:10:00 -07:00
parent 1967353213
commit 3704148e6e
24 changed files with 35 additions and 35 deletions
+1 -1
View File
@@ -38,7 +38,7 @@ meta:
# These version numbers should be updated periodically.
codegen-versions: &codegen-versions
# Choose which version of Golang to use in the codegen container images.
BUILD_ARG_GO_VERSION: '1.26.1'
BUILD_ARG_GO_VERSION: '1.26.2'
# Choose which version of sigs.k8s.io/controller-tools/cmd/controller-gen to install
# in the codegen container images.
BUILD_ARG_CONTROLLER_GEN_VERSION: 0.20.1
+1 -1
View File
@@ -572,7 +572,7 @@ jobs:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped-pr
outputs:
@@ -3,7 +3,7 @@
# Copyright 2020-2026 the Pinniped contributors. All Rights Reserved.
# SPDX-License-Identifier: Apache-2.0
FROM golang:1.26.1-bookworm as build-env
FROM golang:1.26.2-bookworm as build-env
WORKDIR /work
COPY . .
ARG GOPROXY
@@ -6,7 +6,7 @@
# we need a separate dockerfile for the fips test image so that the integration tests
# use the right ciphers etc.
FROM golang:1.26.1-bookworm as build-env
FROM golang:1.26.2-bookworm as build-env
WORKDIR /work
COPY . .
ARG GOPROXY
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped
- name: pinniped-ci
@@ -10,6 +10,6 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
run:
path: pinniped-ci/pipelines/shared-tasks/confirm-built-with-fips/task.sh
@@ -10,7 +10,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
run:
# Confirm that the correct git sha was baked into the executables and that they log the version as their
# first line of output. Do this by directly running the server binary from the rootfs of the built image.
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped
- name: release-semver
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped
- name: pinniped-ci
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped
- name: pinniped-ci
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped
- name: pinniped-ci
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped
- name: pinniped-ci
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped
- name: pinniped-ci
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
# Copyright 2020-2025 the Pinniped contributors. All Rights Reserved.
# Copyright 2020-2026 the Pinniped contributors. All Rights Reserved.
# SPDX-License-Identifier: Apache-2.0
set -euo pipefail
@@ -26,7 +26,7 @@ if ! echo "$kube_version" | grep -Eq '^[0-9]+\.[0-9]+$'; then
fi
echo "Installing yq..."
curl --retry-connrefused --retry 5 -fLo /usr/local/bin/yq https://github.com/mikefarah/yq/releases/download/v4.45.1/yq_linux_amd64
curl --retry-connrefused --retry 5 -fLo /usr/local/bin/yq https://github.com/mikefarah/yq/releases/download/v4.53.2/yq_linux_amd64
chmod +x /usr/local/bin/yq
# cd to the output repo.
@@ -7,7 +7,7 @@ image_resource:
type: registry-image
source:
repository: golang
tag: '1.26.1'
tag: '1.26.2'
inputs:
- name: pinniped-ci
- name: github-final-release